/* This is a very simple example program demostrating
 * the use of libpentium library to access the pentium device driver
 * In a loop performs 100K floating point operations
 * and counts them using 0x22 ( #floating point operations )
 * The results are printed to file "Counter" in current directory
 * by p5_stop() function
 */

#include <stdio.h>
#include "libpentium.h"

main()
{
  double a = 2.0;
  int i;

  p5_init( 0x22 );
  for ( i=0; i < 100000; i++ )
    a = 245445435.3434/a;

  p5_stop();
  return 0;

} /* end-main */
